Authorization
x-api-key In: header
Path Parameters
ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.
ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.
Query Parameters
Format of the transcript content. Can be one of:
- json
- text
- csv
- word
- srt
- vtt
Defaults to json
Response format type of JSON contents
Can be one of
- words
- paragraphs
- segments
Details on each format:
- Words: Gives an array of words with timings.
- Paragraphs: Gives an array of paragraphs - constructed using our own carefully calibrated heuristics.
- Segments: Gives an array of segments as given by Whisper model.
Defaults to paragraphs
Maximum characters per line of subtitle. Lines cannot be shorter than a single word.
Only relavent for subtitle formats
Maximum duration in seconds per subtitle block. Subtitle blocks cannot be shorter than a single word.
Only relevant for subtitle formats
Maximum number of lines per subtitle block. Controls how many lines can appear simultaneously on screen.
Only relevant for subtitle formats. Defaults to 1
If set, document formats will include speaker information for each paragraphs.
Only relavent for text, csv, word formats. Defaults to true
If set, document formats will include time information for each paragraphs.
Only relavent for text, csv, word formats. Defaults to true
If set, document formats will include limited transcript branding.
Only relavent for text, pdf, word formats. Defaults to true
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://transcript.lol/api/v1/spaces/string/recordings/string/transcript"{
"words": [
{
"word": "string",
"start": 0,
"end": 0,
"confidence": 0,
"speaker": 0
}
],
"paragraphs": [
{
"text": "string",
"start": 0,
"end": 0,
"speaker": 0
}
],
"segments": [
{
"text": "string",
"start": 0,
"end": 0,
"speaker": 0
}
]
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}